def lower(text):
  bfs10142 = ''.join(map(chr, range(ord('A'), (ord('Z') + 1))))
  return ('translate(%s, %r, %r)' % (text, bfs10142, bfs10142.lower()))

def bfs10144(text, by=' '):
  return (u"translate(%s, '\xa0', %r)" % (text, by))

def predicate(bfs10143):
  return (('[%s]' % bfs10143) if bfs10143 else '')


def bfs10147(*bfs10145):
  return predicate(' or '.join([c for c in bfs10145 if c ]))

